Upgrading an SSIS package to a newer version of SQL Server:

SSIS packages created using older versions of SQL Server (2005-2014) cannot be automatically upgraded to a newer version without performing a pre-upgrade step. First, open the .dtsx package file in a text editor such as Notepad. Next, replace all instances of 9.0.0.0 (if created with SQL Server 2005), 10.0.0.0 (2008), 11.0.0.0 (2012), or 12.0.0.0 (2014) with either 10.0.0.0 (if upgrading to SQL Server 2008), 11.0.0.0 (2012), 12.0.0.0 (2014), or 13.0.0.0 (2016) then save the modified file. Lastly, open the solution with BIDS (2008) or SQL Server Data Tools (2012-2016), which will automatically convert the solution and package.

Note that for SQL Server 2014-2016, SQL Server Data Tools must be downloaded and installed  separately; please refer to http://www.microsoft.com/en-us/download/details.aspx?id=42313 (2014) or https://msdn.microsoft.com/en-us/library/mt204009.aspx (2016).

 

If you need to downgrade a project - then please click here